Package org.apache.sysds.utils

# Class InstallDependencyForIntegrationTests

java.lang.Object
org.apache.sysds.utils.InstallDependencyForIntegrationTests

public class InstallDependencyForIntegrationTests extends Object
This class will be used to setup dependency on Eclipse environment as well as on Jenkins server

## Constructor Summary

Constructors
Constructor
Description
`InstallDependencyForIntegrationTests()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`static void`
`printRScript(String dmlScriptFile)`
Prints out an R script.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InstallDependencyForIntegrationTests

public InstallDependencyForIntegrationTests()

## Method Details

### main

public static void main(String[] args) throws IOException, DMLRuntimeException, InterruptedException

Throws:
  `IOException`
  `DMLRuntimeException`
  `InterruptedException`

### printRScript

public static void printRScript(String dmlScriptFile)

Prints out an R script.

Parameters:
  `dmlScriptFile` - filename of R script